<template>
  <section class="appWarning">
    <slot name="heading"/>
    <div class="appWarning-wrapper">
      <slot name="warning"/>
    </div>
  </section>
</template>

<script>
export default {
  name: 'AppWarning',
};
</script>

<style lang="postcss">
  .appWarning {
    display: block;
    padding: 1rem;
    font-size: 0.875rem;
    color: var(--color-main);
    text-align: center;
    border-radius: 0.25rem 0.25rem 0 0;
    background-color: var(--bg-yellow);

    .heading {
      padding: 0;
      text-align: left;
      margin-bottom: 0.625rem;
      font-weight: var(--font-weight-normal);
    }

    .no-results {
      text-align: left;
      font-weight: var(--font-weight-normal);

      ol {
        list-style-type: disc;

        li {
          margin-bottom: 0.625rem;

          .link {
            cursor: pointer;
          }
        }
      }
    }

    &-wrapper {
      .paragraph {
        font: inherit;

        + .paragraph {
          padding-top: 0.5rem;
        }
      }

      & > .row {
        justify-content: center;
      }

      ol.list,
      ul.list {
        display: flex;
        flex-direction: column;
        margin-top: 0.75rem;
        margin-left: -2.5rem;

        li {
          text-align: left;
          padding-bottom: 0.5rem;
        }
      }

      .ppn-contract-no-enitites {
        display: flex;
        align-items: flex-start;
        justify-content: center;

        .paragraph {
          margin-right: 0.2rem;
        }

        ol.list,
        ul.list {
          display: flex;
          width: auto;
          flex-direction: row;
          margin-top: 0;
          margin-left: 0;

          li {
            text-align: left;
            padding-bottom: 0;
            display: flex;
            align-items: center;

            .link {
              margin-left: .25rem;
            }
          }
        }

        @media screen and (max-width: 980px) {
          flex-direction: column;

          .paragraph {
            margin-bottom: .5rem;
            padding-left: .5rem;
          }

          ol.list,
          ul.list {
            flex-direction: column;

            li {
              padding-bottom: 0.25rem;
            }
          }
        }
      }
    }

    @media screen and (min-width: 981px) {
      ol.list,
      ul.list {
        li:first-child .dot {
          display: none;
        }
      }
    }

    @media screen and (max-width: 980px) {
      padding-left: 1.25rem;
      padding-right: 1.25rem;
      font-size: 0.875rem;
      text-align: left;

      ol.list,
      ul.list {
        > li {
          padding-bottom: 0.25rem;
        }
      }

      .paragraph + .paragraph {
        padding-top: 1.25rem;
      }

      .paragraph {
        > span {
          display: block;
        }

        > span + span {
          padding-top: 1.25rem;
        }
      }
    }
  }
</style>
